title: Banners
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
      -
        handle: description
        field:
          input_type: text
          display: Description
          type: text
          icon: text
          listable: hidden
      -
        handle: image
        field:
          mode: grid
          restrict: false
          allow_uploads: true
          display: Image
          type: assets
          icon: assets
          listable: hidden
      -
        handle: redirect_link
        field:
          input_type: text
          display: 'Redirect Link'
          type: text
          icon: text
          listable: hidden
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          required: true
          localizable: true
          validate:
            - required
      -
        handle: parent
        field:
          type: entries
          collections:
            - banners
          max_items: 1
          listable: false
          localizable: true
